Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class ClassFormatError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.LinkageError
                  java.lang.ClassFormatError

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GenericSignatureFormatError, UnsupportedClassVersionError

    public class ClassFormatError

extends LinkageError

Thrown when the Java Virtual Machine attempts to read a class file and determines that the file is malformed or otherwise cannot be interpreted as a class file.

Since:
  JDK1.0
See Also:
  Serialized Form

Constructor Summary
`ClassFormatError()` Constructs a `ClassFormatError` with no detail message.
`ClassFormatError(String s)` Constructs a `ClassFormatError` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassFormatError

    public ClassFormatError()

  Constructs a `ClassFormatError` with no detail message.

### ClassFormatError

    public ClassFormatError(String s)

  Constructs a `ClassFormatError` with the specified detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.